Subject: bug#28405: Inhibit auto-fill & LaTeX-indent-environment-list

From: [email-masked]
Date: Sun, 10 Sep 2017 13:39:02 +0200

Hi David,

>> It is the job of amsmath.el to include most of those settings, so it's
>> likely that you haven't document parsing enabled and/or working.
>>
>> See the first page of AUCTeX's documentation for more info.

Indeed. What's strange is that I:

1. delete the auto-generated el style file for this particular buffer
2. reset AUCTex with C-u C-c C-n 
3. check the message logs and I see it's loading amsmath.elc:

Loading c:/[...]/.emacs.d/elpa/auctex-11.91.0/style/amsmath.elc...done

4. inquiry about the value of LaTeX-indent-environment-list in that buffer, but "gather" and "multline" and several amsmath others do *not* appear there.

I'm now checking the other style files loaded by auctex-reset to see whether any of them is causing this problem. I'm not loading any custom-made style files, though.

Cheers,
J